Description

PostgreSQL now supports materialized views since version 9.3: (

http://www.postgresql.org/docs/9.3/static/sql-creatematerializedview.html). This can be useful to cache the result of heavy geoprocessing

queries, and QGIS should give direct access to them. 

The workaround I use presently is to make a proxy normal view that queries the materialized view, in order to have it listed in QGIS.

Related issues:

Related to QGIS Application - Feature request # 9127: DBManager should show P... Closed 2013-11-26

Related to QGIS Application - Bug report # 9135: PostGIS - materialized views... Closed 2013-11-27

Related to QGIS Application - Bug report # 9136: Browser does not show Postgr... Closed 2013-11-27

Associated revisions

Revision 03a60d3b - 2013-10-18 11:38 AM - Jürgen Fischer

postgres provider: support materialized view (implements #8791)

History

#1 - 2013-10-18 02:07 AM - Remi Cura

++ :

It is a very important feature for qgis for all computation heavy queries.

Cheers,

Rémi-C

#2 - 2013-10-18 02:40 AM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

implemented in commit:03a60d3

#3 - 2013-10-18 02:41 AM - Jürgen Fischer

- Resolution changed from fixed to fixed/implemented
